EDIT - bug #7505

lllegalStateException: Multiple representations problem when adding Annotation to name in
NameBulkEditor

06/21/2018 03:38 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.2

Severity: critical Found in Version: Release 5.1
Description
login admin
editor version
server localhost

schema version
os

java 1.8.0_131

org.eclipse.ed.core.di.InjectionException:
ns of the same entity
[Adonis,

core.

Al;
at
at
at
at

Detached:
org.
org.
org.
org.

is,

at
a:57)
at
at
at
at
at
at
at
at
at
at
at

org.

org.
org.

org.
org.
org.
org.

at org
152)
at org.
at org.
488)

at org.
java:210)

at org.
va:286)

at org.

at org.
ava:558)

at org.
spatcher. java:378)

ava:

at org.eclipse.

at org.eclipse.

spatcher. java:86)
at org.eclipse

03/20/2024

eclipse.
eclipse.
eclipse.
eclipse.

eclipse.

eclipse.
eclipse.

eclipse.
eclipse.
eclipse.
eclipse.

.eclipse.

eclipse.
eclipse.

eclipse.

eclipse.

eclipse.
eclipse.

eclipse.

5.1.0.201806211249

(localhost—-dev)

ui

ed.
ed.
ed.
ed.

ed.

ed.
ed.
ed.
ed.

ed.

ed.

ed.
ed.

ed.

ed.

ed.

5.0.0.0.20180514
Linux 4.13.0-45-generic amdé64

[eu.etaxonomy.

core.
core.
core.

A]

internal.
internal.
internal.
contexts.

java.lang.IllegalStateException:
cdm.model.agent.Person#2544]

Multiple representatio
are being merged. Detached: [Adon
di.MethodRequestor.execute (MethodRequestor. java:65)
di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
di.InjectorImpl.invoke (InjectorImpl. java:247)
ContextInjectionFactory.invoke (ContextInjectionFactory. java: 90

ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav

.internal .WorkbenchWindow$7.save (WorkbenchWindow. java:594)
ed.

ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

core.
core.
core
core.

core

ui

ui
ui

ui

ui

.bindings.

.bindings.
.bindings.

.bindings.

i .bindings.

internal
internal.
.internal.
contexts.

.commands.

keys.
keys.

keys.

keys.

eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:40)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)

.di.MethodRequestor.execute (MethodRequestor. java:55)

di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
di.InjectorImpl.invoke (InjectorImpl. java:264)
ContextInjectionFactory.invoke (ContextInjectionFactory.java:13

internal.HandlerServiceHandler.execute (HandlerServiceHandler. j

core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:

ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.

keys.KeyBindingDispatcher.executeCommand (KeyBindingDispatcher. ja

KeyBindingDispatcher.press (KeyBindingDispatcher. java:507)
KeyBindingDispatcher.processKeyEvent (KeyBindingDispatcher. j

KeyBindingDispatcher.filterKeySequenceBindings (KeyBindingDi

KeyBindingDispatcher.access$0 (KeyBindingDispatcher. java:324

.bindings.keys.KeyBindingDispatcher$KeyDownFilter.handleEvent (KeyBindingDi

swt.widgets.EventTable.sendEvent (EventTable. java:84)

1/8




at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
:1121)
at
at
022)
at
at
at
at
at
at
at
at

org.
org.
org.
org.
org.
org.
org.
org.
.eclipse.
eclipse.
eclipse.
eclipse.
eclipse.

org

org.
org.
org.
org.
org.
.eclipse.

org

org.
org.

org

org.

org.
org.

org

org.
org.
org.
org.

.eclipse.

eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.

eclipse.

eclipse.
eclipse.
.eclipse.
eclipse.

eclipse.
eclipse.

eclipse.
eclipse.
eclipse.
eclipse.

swt
sSwt .
swt.
swt
swt.
swt.
swt.
swt.
swt
sSwt .
swt.
swt
swt.
swt.
swt.
swt.
swt
sSwt .

.widgets.Display

widgets.Widget.
widgets.Widget.

.widgets.Widget.

widgets.Widget.
widgets.Widget.
widgets.Control
widgets.Text.gt

.widgets.Widget.

widgets.Control
widgets.Text.wi

.widgets.Display.

internal.gtk.OS

internal.gtk.OS.
widgets.Display.

internal.gtk.OS

.internal.gtk.0S.
widgets.Display.
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

.filterEvent (Display.java:1605)
sendEvent (Widget. java:1339)

sendEvent (Widget. java:1366)

sendEvent (Widget. java:1349)
sendKeyEvent (Widget.java:1378)
gtk_key_press_event (Widget. java:764)
.gtk_key_press_event (Control. java:3465)
k_key_press_event (Text.java:1869)
windowProc (Widget. java:2000)
.windowProc (Control. java:5827)
ndowProc (Text . java:2896)

windowProc (Display. java:5498)
._gtk_main_do_event (Native Method)
gtk_main_do_event (0S. java:9545)
eventProc (Display.java:1275)
._g_main_context_iteration (Native Method)
g_main_context_iteration (0S.java:2495)
readAndDispatch (Display.java:4149)

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l

ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org
org

.eclipse
.eclipse

her.java:134)

at
104)
at
at
at
at
at
at
at
at
at
at
Caused

org

org.
org.
sun.
sun.

sun

.eclipse.

reflect
reflect

.reflect.

eclipse.
eclipse.

.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

o COIEE

core

core
core

.runtime.intern
.runtime.intern

.runtime.adapto
.runtime.adapto

al.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

al.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

r.EclipseStarter.run (EclipseStarter. java:388)
r.EclipseStarter.run(EclipseStarter.java:243)

.NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method. invoke (Method. java:498)

org.

org

org.
org.

by:

eclipse
.eclipse
eclipse
eclipse

.equi
.equi
.equi
.equi

nox.launcher.Ma
nox.launcher.Ma
nox.launcher.Ma
nox.launcher.Ma

in.invokeFramework (Main. java:673)
in.basicRun (Main. java:610)

in.run (Main.java:1519)
in.main (Main. java:1492)

java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxon

omy.cdm.model.agent .Person#2544] are being merged. Detached: [Adonis, A]; Detached: [Adonis, A]

at org.hibernate.event.internal.EntityCopyNotAllowedObserver.entityCopyDetected (EntityCopyNotA

llowedObserver. java:37)

at org.hibernate.
at org.hibernate.

stener. java:304)

at

va:170)

at
at
at
at
at
at
at
at

org

org.
.hibernate.

org

org.
org.

org

org.
org.
org.

.hibernate

hibernate.

hibernate.en
hibernate.en

.hibernate.en

ener.java:468)

at org.hibernate.

stener. java:327)

at org.hibernate.
va:170)
at org.hibernate.

03/20/2024

hibernate.

hibernate.en
hibernate.en

gine.spi.Cascad
gine.internal.C
gine.internal.C
gine.internal.C
gine.internal.C

event.internal.MergeContext.put (MergeContext.java:245)
event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)
internal.SessionImpl.merge (SessionImpl. java:832)

ingActions$6.cascade (CascadingActions. java:260)
ascade.cascadeToOne (Cascade. java:398)
ascade.cascadeAssociation (Cascade. java:323)
ascade.cascadeProperty (Cascade.java:162)
ascade.cascade (Cascade. java:111)

event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList

event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi

event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja

internal.SessionImpl.fireMerge (SessionImpl. java:850)

2/8




at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

at org.hibernate.engine.spi.CascadingActions$6.cascade (CascadingActions. java:260)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.DefaultMergeEventListener.cascadeOnMerge (DefaultMergeEventList
ener.java:468)

at org.hibernate.event.internal.DefaultMergeEventListener.entityIsDetached (DefaultMergeEventLi
stener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:170)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEventListener. ja
va:69)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:840)

at org.hibernate.internal.SessionImpl.merge (SessionImpl. java:822)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:827)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.merge (CdmEntityDaoBase. j
ava:259)

at eu.etaxonomy.cdm.api.service.ServiceBase.merge (ServiceBase. java:233)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
odInvocation. java:190)
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
EDIT Taxonomic Editor [BETA] 5.1.0.201806211249 UTC admin@Ilocalhost-dev:

B = Taxonomic

*Names 32 = O |[# Details 2 = 0
- Name: Alpha primitimum A.A.Gontsch. & M.Watan. Glone
Title Cache  Alpha* Search ex Adonis, A
Cache Alpha primitimum A.A.Gontsch. & &
1 Alpha beta, AW.F. Schmidt, Atlas Diat... |ICNAFP M.Watan. ex Adonis, A
2 Alpha novus, new pub ICNAFP Nomenclatural Code TCNAFP v

Alpha primitimum A.A.Gontsch. & M.W... |ICNAFP Lsid

+ Scientific Name: Alpha primitimum
» Authorship: A.A.Gontsch. & M.Watan. ex Adonis, A
» Hybrid

- Nomenclatural Reference: Book on Alpha promitivum
Reference Adonis, A, Book on Alpha promitivum = & | T
Reference Detail

- Nomenclatural Status +
No nomenclatural status yet.

- Protologues / Original Publications +
No protologues yet.

- Type Designations +
No type designations yet.

- Name Relationships + +

Achnanthes acidoclinata A.A.Gontsch. M.Watan. is validated | @
by Alpha primitimum A.A.Gontsch. & M.Watan. ex Adonis, A
Rule Considered

(5 Factual Data £ # B m T 0 @ Media 2 = B |Supplemental Data = = a
TaxonName: Alpha primitimum A.A.Gontsch. & M.Watan. ex
Adonis, A
- Annotations + +
Annotation Type aditorial v | T
Annotation

my first annotation

Related issues:
Related to EDIT - feature request #6321: Implement parallel loading + progres... Closed

Associated revisions

Revision 28¢922f7 - 06/25/2018 03:09 PM - Patrick Plitzner
ref #7505, #6321 Disable parallel loading

e This caused problems with the session handling because the CDM entities were not correctly loaded

Revision e7314de8 - 06/25/2018 03:21 PM - Patrick Plitzner

ref #7505, #6321 Enable max count check for bulk editor searches

Revision fbdeccd7 - 06/25/2018 03:23 PM - Patrick Plitzner
ref #7505, #6321 Update Ul after bulk editor search + remove page size

Revision 6fd99a64 - 07/09/2018 06:24 PM - Patrick Plitzner

ref #7505 re-enable parallel loading for bulk editor

History

#1 - 06/21/2018 07:16 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.1
| think it is not generally reproducable but in this case.
It is interesting that the duplicated person appears 2x in the data, as author of the nom.ref. and in the name author team.
#2 - 06/21/2018 09:24 PM - Andreas Kohlbecker
Andreas Muller wrote:
| think it is not generally reproducable but in this case.
It is interesting that the duplicated person appears 2x in the data, as author of the nom.ref. and in the name author team.

This is actually the default case in Phycobank as we strongly support entering the authorship in the nomRef, The name authorship fields are hidden
and are populated with data automatically by inferring the authors from the nomRefs. This way authors and teams appear usually twice per name.

#3 - 06/21/2018 09:34 PM - Andreas Miiller
Andreas Kohlbecker wrote:
The name authorship fields are hidden and are populated with data automatically by inferring the authors from the nomRefs. This way authors

and teams appear usually twice per name.

Inferring authors from nomRefs is actually the default. But here it is not 100% the case as the nomRef has a single person as author while the name
author is a team with the nomref author in it. Don't know if this is important for the exception, just wanted to mention it.

#4 - 06/25/2018 01:19 PM - Andreas Kohlbecker
Further potential examples

e all names with genus name "Alpha"

¢ Navicula adminensis A. Boudou & A.A.Gontsch.

¢ Naviculastrum primum
e Naviculastrum secundum

#5 - 06/25/2018 03:12 PM - Patrick Plitzner

- Related to feature request #6321: Implement parallel loading + progress bar for loading objects into the bulk editor added

#6 - 06/25/2018 03:14 PM - Patrick Plitzner

- Assignee changed from Katja Luther to Patrick Plitzner

This problem came up with the parallel loading of the search results in the bulk editor. The CDM entities were not correctly loaded into the local bulk
editor session cache.

Parallel loading is temporarily deactivated.

#7 - 06/25/2018 03:14 PM - Patrick Plitzner

- Target version changed from Release 5.1 to Release 5.2

#8 - 06/29/2018 10:24 AM - Andreas Miiller

shouldn't we close this as a kind of duplicate for #6321? With reverting #6321 this problem was "solved" also as far as | know.

#9 - 07/05/2018 10:27 AM - Patrick Plitzner

Andreas Muller wrote:

shouldn't we close this as a kind of duplicate for #63217? With reverting #6321 this problem was "solved" also as far as | know.

We should leave this ticket open as a reminder to check for multiple representation exception when re-enabling the parallel loading

#10 - 07/09/2018 06:25 PM - Patrick Plitzner
- Status changed from New to Feedback

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

@Andreas K.: Could you please test again if the multi rep exception still occurs? | re-enabled the parallel loading but somehow | cannot reproduce
the exception
#11 - 07/30/2018 06:24 PM - Andreas Miiller

What is the current state here? For the release we should revert to non parallel loading | think as there are a couple of related and unsolved issues.

AK have you tested as PP suggested?

#12 - 07/31/2018 11:45 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

| could no longer reproduce this issue. | am closing the ticket therefore.

#13 - 02/21/2020 10:54 AM - Andreas Kohlbecker

- Tags set to multiple-representations-problem
